<?php
include '../db/db.php';
session_start();
$log=htmlspecialchars(trim($_SESSION['user']), ENT_QUOTES, 'UTF-8');
if (empty($log)) {

  $redirectUrl = "index.php";
  echo "<script type=\"text/javascript\">";
  echo "window.location.href = '$redirectUrl'";
  echo "</script>";

}else{

  $sqlu="SELECT * FROM details_of_users WHERE user='$log' and val='1'";
  $resultu=mysqli_query($conn, $sqlu);
  $countu=mysqli_num_rows($resultu);

  if($countu==1){

    $sqlc="SELECT * FROM details_of_users where user='$log'";
    $resultc=mysqli_query($conn, $sqlc);
    while ($rowc = mysqli_fetch_array($resultc)){
      $name=$rowc['id'];
    }

  } else{
    $redirectUrl = "index.php";
    echo "<script type=\"text/javascript\">";
    echo "window.location.href = '$redirectUrl'";
    echo "</script>";

  }
}



if (array_key_exists('load_item_up', $_POST)) {
  $sql = "SELECT * FROM delivery_type WHERE id = '".htmlspecialchars(trim($_POST['id']), ENT_QUOTES, 'UTF-8')."'";
    //echo $sql;
  $result = mysqli_query($conn, $sql);
  $row = mysqli_fetch_assoc($result);

  echo json_encode($row);

}



if(isset($_POST['up_daterange']))
{

  $id_holder = htmlspecialchars(trim($_POST['id_holder']), ENT_QUOTES, 'UTF-8');
  $price = htmlspecialchars(trim($_POST['up_daterange']), ENT_QUOTES, 'UTF-8');

  $sql2 = "UPDATE delivery_type SET price = '$price'  WHERE id= '$id_holder'";

  $result2 = mysqli_query($conn, $sql2);

  if ($result2) {
    echo "Data inserted without image";
  }

}

?>